Name: nekoray
Version: 3.26
Release: 3%{?dist}
Summary:Qt based cross-platform GUI proxy configuration manager (backend: v2ray / sing-box)
License: GPL 3.0
URL: https://github.com/MatsuriDayo/nekoray
Source0: %{name}-%{version}-2023-12-09-linux64.zip
BuildRequires: desktop-file-utils
Requires: qt5-qtbase qt5-qtsvg qt5-qttools qt5-qtx11extras
BuildArch: x86_64

%description
Qt based cross-platform GUI proxy configuration manager (backend: v2ray / sing-box)

%prep
%setup -q -n %{name}

%global _enable_debug_package 0
%global debug_package %{nil}

%install
cat > %{name}.sh <<EOF
#!/bin/bash
/usr/lib64/nekoray/nekoray -- -appdata
EOF

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Nekoray
Comment=Qt based cross-platform GUI proxy configuration manager (backend: v2ray / sing-box)
Exec=nekoray -- -appdata
Icon=nekoray
Type=Application
StartupNotify=true
Categories=Network;Utility;
StartupWMClass=nekoray
EOF

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/%{name}
install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install -Dt %{buildroot}%{_libdir}/%{name} -m755 nekobox_core
install -Dt %{buildroot}%{_libdir}/%{name} -m755 nekoray_core
install -Dt %{buildroot}%{_libdir}/%{name} -m755 nekoray
install -Dm755 nekoray.sh %{buildroot}%{_bindir}/nekoray
install -Dt %{buildroot}%{_libdir}/%{name} -m755 geoip.dat
install -Dt %{buildroot}%{_libdir}/%{name} -m755 geoip.db
install -Dt %{buildroot}%{_libdir}/%{name} -m755 geosite.dat
install -Dt %{buildroot}%{_libdir}/%{name} -m755 geosite.db
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
install -Dt %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/ -m644 nekoray.png

%files
%defattr(-,root,root,-)
%{_bindir}/nekoray
%{_libdir}/nekoray/nekobox_core
%{_libdir}/nekoray/nekoray
%{_libdir}/nekoray/nekoray_core
%{_libdir}/nekoray/geoip.dat
%{_libdir}/nekoray/geoip.db
%{_libdir}/nekoray/geosite.dat
%{_libdir}/nekoray/geosite.db
%{_datadir}/applications/nekoray.desktop
%{_datadir}/icons/hicolor/128x128/apps/nekoray.png

%changelog 
